package com.realnet.filemanager.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.filemanager.Entity.Filemanager;
import com.realnet.filemanager.Services.FilemanagerService ;










@RequestMapping(value = "/Filemanager")
 @CrossOrigin("*") 
@RestController
public class FilemanagerController {
	@Autowired
	private FilemanagerService Service;

@Value("${projectPath}")
	private String projectPath;
 










	@PostMapping("/Filemanager")
		  public Filemanager Savedata(@RequestBody Filemanager data) {
		Filemanager save = Service.Savedata(data)	;









		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Filemanager/{id}")
	public  Filemanager update(@RequestBody Filemanager data,@PathVariable Integer id ) {
		Filemanager update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Filemanager/getall/page")
	public Page<Filemanager> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Filemanager> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Filemanager")
	public List<Filemanager> getdetails() {
		 List<Filemanager> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Filemanager")
	public List<Filemanager> getallwioutsec() {
		 List<Filemanager> get = Service.getdetails();		
		return get;
}
@GetMapping("/Filemanager/{id}")
	public  Filemanager  getdetailsbyId(@PathVariable Integer id ) {
		Filemanager  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Filemanager/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}











}